Skip to main content
GET
/
api
/
v1
/
individual_enrollments
/
{individual_enrollment_id}
Get a single Individual Enrollment
curl --request GET \
  --url https://fulfillment.noyo.com/api/v1/individual_enrollments/{individual_enrollment_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://fulfillment.noyo.com/api/v1/individual_enrollments/{individual_enrollment_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://fulfillment.noyo.com/api/v1/individual_enrollments/{individual_enrollment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "cobra_enrollment": {},
  "created": 1557512389,
  "effective_end_date": "2019-10-01",
  "effective_start_date": "2018-10-01",
  "enroll_data": {
    "premium": {
      "amount": 50,
      "unit": "Month"
    }
  },
  "group_enrollment_id": "7499ea07-76c9-40f2-992b-952259e98384",
  "id": "6670f290-4236-4690-bece-a110f9ad924b",
  "individual_enrollment_configuration": {},
  "individual_id": "30b74a44-d5b1-4123-a7a4-6d3aec251ba4",
  "individual_type": "employee",
  "line_of_coverage": "medical",
  "modified": 1564440756,
  "plan_id": "b988cd26-121a-4dd6-b0be-09399f6ecc0a",
  "status": "active",
  "version": "27bbf929-78ca-4339-8bb3-39b75f92c4a4"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

individual_enrollment_id
string<uuid>
required

Unique identifier of the individual enrollment

Example:

"6670f290-4236-4690-bece-a110f9ad924b"

Query Parameters

effective_date
string

The relative date on which to view the state of the record

Response

200 - application/json

Successful Response - Returns a single Individual Enrollment

cobra_enrollment
object
required

Details about the member COBRA enrollment status, if applicable

created
integer
required

The date the record was created

enroll_data
object
required
read-only

Line of coverage specific enroll data with volume information

group_enrollment_id
string<uuid>
required
read-only

Unique identifier of the group enrollment in Noyo

id
string<uuid>
required

Unique identifier of the record in Noyo

individual_enrollment_configuration
object
required
read-only

Carrier-specific details describing the individual enrollment configuration

individual_id
string<uuid>
required
read-only

Unique identifier of the employee or dependent in Noyo

individual_type
enum<string>
required
read-only

Type of member for the individual enrollment

Available options:
dependent,
employee
Example:

"employee"

line_of_coverage
enum<string>
required
read-only

Line of coverage for the individual enrollment

Available options:
medical,
dental,
vision,
life,
add,
std,
ltd,
accident,
critical_illness,
cancer,
health_fund,
hospital_indemnity,
pharmacy,
wellness
Example:

"dental"

modified
integer
required

The date the record was last updated

plan_id
string<uuid>
required
read-only

Unique identifier of the group plan in Noyo

status
enum<string>
required
read-only

Status of the individual enrollment

Available options:
pending,
active,
waived,
terminated
Example:

"active"

version
string<uuid>
required

Current version of the record

cobra_details
object
effective_end_date
string<date>

ISO-8601 date string for the effective date of the coverage

Example:

"2017-01-17"

effective_start_date
string<date>

ISO-8601 date string for the effective date of the coverage

Example:

"2017-01-17"

pcp_details
object